Bug 76403 - Modem Lights & Dialer applet fails to show connection when connecting using Network Device Control to dial
Modem Lights & Dialer applet fails to show connection when connecting using N...
Status: CLOSED DUPLICATE of bug 69971
Product: Red Hat Linux
Classification: Retired
Component: gnome-applets (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
Mike McLean
: Triaged
Depends On:
Blocks: 79579
  Show dependency treegraph
 
Reported: 2002-10-21 09:22 EDT by eitelman
Modified: 2007-04-18 12:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:50:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description eitelman 2002-10-21 09:22:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
All 4 panes in the applet are inactive. After connection, if I click on the
connect/disconnect button (left pane), it asks if I wish to connect. It
apparently never senses the connection. The display functions do work, however,
if I dial with kppp, but I cannot connect or disconnect kppp with the applet.
The modem is a US Robotics 56K PCI hardware modem and; shows as Generic Modem on
/dev/ttyS4. Machine is a Pentium 4, Intel D850GB mobo.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Connect modem to ISP using properly configured Network Device Control
2. Begin downloading anything.
3. Note that there is no color in the dialer button and no data activity
in any of the three remaining panes.
4. Try to disconnect by clicking on the dialer button. Note that it asks
(incorrectly) if you wish to connect. It shoudl ask if you wish to disconnect.

	

Actual Results:  It never sensed the connection.

Expected Results:  It should have shown the connection

Additional info:

Display functions work perfectly well when dialling with a properly configured kppp.
Comment 1 Clinton Gormley 2002-11-03 11:27:24 EST
The default configuration of the modem lights applet does not work with Internet
Configuration Wizard setups for two reasons :
1) The commands to bring the modem up and down  (ifup and ifdown) are not in the
user's path
2) The lock file that is generated does not have the same name as the default
(LCK..modem)

To rectify this:
1) Change the commands to /sbin/ifup and /sbin/ifdown
2) Check your /var/lock directory while your modem is connected.  Look for a
file starting LCK.. (eg LCK..ttyS1).  Change the lock file name (under Advanced)
to match this file name - the lights will work
Comment 2 eitelman 2002-11-03 16:51:41 EST
Many thanks. The applet now functions fine.

I had picked up the /sbin/ifup & /sbin/ifdown problem and fixed it. But I
completely blew it on the var/lock/lck..ttyS4 (in this case). 

Since this is not exactly a bug, but a configuration issue, I don't know what to
do about the Change State or Resolution box below. I'd be happy to change it to
whatever you want it to be if you wish. 

Thanks again. 

Steve Eitelman
Comment 3 Havoc Pennington 2002-11-04 16:32:12 EST
The defaults here should be better.
Comment 4 Todd Warner 2002-11-09 04:23:19 EST
"The defaults here should be better."

What does that mean precisely?

I just beat my head against the wall as to why I couldn't dial out thinking it
was permissions related when it was the default config setting being incorrect.

We have a lot of dialup users... will this be errataed soon???
Comment 5 Havoc Pennington 2002-11-09 10:44:06 EST
No, not likely to be an errata.

"The defaults should be better" means exactly that, I don't understand the question.

Comment 6 Clinton Gormley 2002-11-09 14:50:43 EST
"The default should be better" means this...

Redhat has made a lot of effort with Redhat 8 so that things just work when you
install them. In this case they didn't - I wondered if the Redhat Network Device
Control panel and the modem lights applets were conflicting applications.

so, to make the defaults better 
1) put the full path to ifup and ifdown in, rather than just the commands, and
2) figure out some way of getting the right lock file name.  If this just isn't
possible, then put instructions into the help file?

Clint
Comment 7 Bill Nottingham 2003-02-10 23:55:35 EST

*** This bug has been marked as a duplicate of 69971 ***
Comment 8 Red Hat Bugzilla 2006-02-21 13:50:00 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.